Bug 798675 - Some katello subcommands do not display the required options in the help screen
Some katello subcommands do not display the required options in the help screen
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Miroslav Suchý
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 09:51 EST by Forrest Taylor
Modified: 2014-09-18 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: katello-cli-1.2.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add (required) to the required options in `katello repo enable -h` (1.09 KB, application/octet-stream)
2012-02-29 09:51 EST, Forrest Taylor
no flags Details
patch of missing "(required)" descriptions (1.20 KB, application/octet-stream)
2012-03-26 08:10 EDT, Petr Chalupa
no flags Details

  None (edit)
Description Forrest Taylor 2012-02-29 09:51:02 EST
Created attachment 566563 [details]
Patch to add (required) to the required options in `katello repo enable -h`

When running katello from the command-line, some subcommand help screens do not show the required options.  For instance, `katello org create -h` shows:

  --name=NAME           organization name eg: foo.example.com (required)

The (required) at the end shows that --name is a required option.

However, `katello repo enable -h` does not show any required options.  For instance, --name is required, but it shows:

  --name=NAME        repository name

Each of the required options should be appended with (required).  --name, --org and --product are all required for `katello repo enable`.  I have included a patch to fix this issue.

There are several other places where this needs to be addressed as well (e.g., `katello package list`).
Comment 1 Petr Chalupa 2012-03-26 08:10:39 EDT
Created attachment 572745 [details]
patch of missing "(required)" descriptions
Comment 2 Petr Chalupa 2012-03-26 08:18:25 EDT
It looks like that in case of `katello repo enable` and `katello package list` a repository can be specified by --id or by --name, --org, --product. 

    def check_options(self):
        if not self.has_option('id'):
            self.require_option('name')
            self.require_option('org')
            self.require_option('product')

I found 6 other similar cases. 

How should these options be documented? And should it be documented?
Comment 3 Miroslav Suchý 2012-11-13 11:25:15 EST
https://github.com/Katello/katello/pull/1054
Comment 4 Mike McCune 2013-09-19 14:09:55 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.